Package org.apache.sling.cms.insights

## Interface InsightsModel

    public interface InsightsModel

A model interface for retrieving insights for the current resource

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Insight>` `getInsights()` Retrieve the insights for the current resource.

### Method Detail

#### getInsights

    List<Insight> getInsights()

Retrieve the insights for the current resource.

Returns:
  the insights for the resource